Bug 123845 - gnome-terminal not parsing cursor position escape sequence properly
gnome-terminal not parsing cursor position escape sequence properly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vte (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 18:13 EDT by Eric Eisenhart
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample data (50 bytes, text/plain)
2004-05-20 18:17 EDT, Eric Eisenhart
no flags Details
Example of the correct layout, from xterm (5.58 KB, image/jpeg)
2004-05-20 18:22 EDT, Eric Eisenhart
no flags Details
example of the incorrect (buggy) layout, from gnome-terminal (8.28 KB, image/jpeg)
2004-05-20 18:23 EDT, Eric Eisenhart
no flags Details

  None (edit)
Description Eric Eisenhart 2004-05-20 18:13:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040220 Firefox/0.8

Description of problem:
http://vt100.net/docs/vt100-ug/chapter3.html#CUP

We have an application on another unix that sends something like:
ESC [ 10 H
instead of
ESC [ 10 ; 0 H
or:
ESC [ 10 ; H
(spaces add for clarity)

That is, it's assuming that when the second parameter is 0 (start of
line), it can leave it out entirely, including the semicolon.

xterm, konsole, the linux terminal and other programs agree that "ESC
[ Pn H" is the same as "ESC [ Pn ; H".

Version-Release number of selected component (if applicable):
gnome-terminal-2.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. run gnome-terminal
2. cat sample.problem.txt (attached)
    

Actual Results:  Roughly:
foo
barbaz


Expected Results:  foo
bar


baz

that is, I expect it to look the same as if step one was "run xterm"

Additional info:

I will attach my sample.problem.txt file as well as a screenshot of
the incorrect output and the correct output.
Comment 1 Eric Eisenhart 2004-05-20 18:17:52 EDT
Created attachment 100396 [details]
sample data
Comment 2 Eric Eisenhart 2004-05-20 18:22:47 EDT
Created attachment 100397 [details]
Example of the correct layout, from xterm
Comment 3 Eric Eisenhart 2004-05-20 18:23:30 EDT
Created attachment 100398 [details]
example of the incorrect (buggy) layout, from gnome-terminal
Comment 4 RHEL Product and Program Management 2007-10-19 15:26:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.